diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 2a096c0..b6f908a 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -119804,7 +119804,8 @@ PartialFractionPackage(R): Cat == Capsule where
 
       makeSup(p:Polynomial R, v:Symbol) : SparseUnivariatePolynomial FPR ==
          up := univariate(p,v)
-         map(#1::FPR,up)$UnivariatePolynomialCategoryFunctions2(PR, SUP PR, FPR, SUP FPR)
+         map((z1:PR):FPR +-> z1::FPR,up)_
+           $UnivariatePolynomialCategoryFunctions2(PR, SUP PR, FPR, SUP FPR)
 
       partialFraction(p, facq, v) ==
          up := UnivariatePolynomial(v, Fraction Polynomial R)
diff --git a/changelog b/changelog
index 1e9b8dc..77d1768 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090609 tpd src/axiom-website/patches.html 20090609.07.tpd.patch
+20090609 tpd books/bookvol10.4 PFRPAC +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.06.tpd.patch
 20090609 tpd books/bookvol10.4 PLEQN +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 21551ad..0f3c205 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1525,5 +1525,7 @@ bookvol10.4 ODETOOLS +-> conversion<br/>
 bookvol10.4 PWFFINTB +-> conversion<br/>
 <a href="patches/20090609.06.tpd.patch">20090609.06.tpd.patch</a>
 bookvol10.4 PLEQN +-> conversion<br/>
+<a href="patches/20090609.07.tpd.patch">20090609.07.tpd.patch</a>
+bookvol10.4 PFRPAC +-> conversion<br/>
  </body>
 </html>
